List models
curl --request GET \
--url https://api.reflection.ai/openai/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reflection.ai/openai/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reflection.ai/openai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "Beam-501B-A23B",
"object": "model",
"created": 1791158400,
"owned_by": "reflection",
"shutdown_date": null,
"context_length": 262144,
"max_output_tokens": 131072,
"reasoning": {
"supported_efforts": [
"max",
"xhigh",
"high",
"medium",
"low"
],
"default_effort": "medium",
"mandatory": true
}
}
]
}Models
List models
Lists the currently available models, and provides basic information about each one such as the owner and availability.
GET
/
openai
/
v1
/
models
List models
curl --request GET \
--url https://api.reflection.ai/openai/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reflection.ai/openai/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reflection.ai/openai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "Beam-501B-A23B",
"object": "model",
"created": 1791158400,
"owned_by": "reflection",
"shutdown_date": null,
"context_length": 262144,
"max_output_tokens": 131072,
"reasoning": {
"supported_efforts": [
"max",
"xhigh",
"high",
"medium",
"low"
],
"default_effort": "medium",
"mandatory": true
}
}
]
}Authorizations
apiKeyplaygroundCredential
A Reflection API key, sent in the Authorization header as Bearer <API key>. Create a key for your project from the Reflection platform.